.navigation {
    z-index: 99999999999 !important;
    position: fixed;
    top: 30px;
    right: 50px;
    width: 370px;
    height: 60px;
    background: #fff;
    border-radius:30px;
    border:3px solid #220737;
    box-shadow: 0 25px 35px rgba(0, 0, 0, 0.1);
    display: flex;
    justify-content: space-between;
    transition: height 0.5s, width 0.5s;
    transition-delay: 0s;
    overflow: hidden;
}
#contrast-switch{
    padding-left:15px;
    margin-top:0px;
}
.navigation #gebpix-logo{
    width:225px;
    margin-left:25px;
    margin-top:3px;
    align-items: center;
}

.navigation.active {
    width: 370px;
    height: 360px;
    transition: width 0.5s, height 0.5s;
    transition-delay: 0s;
}

.navigation .userBx {
    position: relative;
    width: 60px;
    height: 60px;
    background: #fff;
    display: flex;
    align-items: center;
    overflow: hidden;
    transition: 0.5s;
    transition-delay: 0s;
}

.navigation .userBx {
    width: calc(100% - 60px);
    transition-delay: 0s;
}

.navigation .userBx .imgBx {
    position: relative;
    min-width: 60px;
    height: 60px;
    overflow: hidden;
    background: #000;
    border-radius: 50%;
    border: 10px solid #fff;
}

.navigation .userBx .imgBx img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Hamburger toggle menu */

.navigation .menuToggle {
    position: relative;
    width: 75px;
    height: 55px;
    background: #fff;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navigation .menuToggle::before {
    content: "";
    position: absolute;
    width: 32px;
    height: 3px;
    background: var(--body_typography-color);
    transform: translateY(-9px);
    box-shadow: 0 9px var(--body_typography-color);
    transition: 0.5s;
}

.navigation .menuToggle::after {
    content: "";
    position: absolute;
    width: 32px;
    height: 3px;
    background: var(--body_typography-color);
    transform: translateY(10px);
    transition: 0.5s;
}

.navigation.active .menuToggle::before {
    transform: translateY(0px) rotate(45deg);
    box-shadow: 0 0 var(--body_typography-color);
}

.navigation.active .menuToggle::after {
    transform: translateY(0px) rotate(-45deg);
}

.menu {
    font-size:25px;
    position: absolute;
    width: 100%;
    height: calc(100% - 60px);
    margin-top: 35px;
    margin-left:-25px;

}

.menu li {
    list-style: none !important;
}

.menu li a {
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 10px 0;
    font-size: 1em;
    text-decoration: none;
}

.menu li a:hover {
    color: #0084E0;
}

.menu li a ion-icon {
    font-size: 1.5em;
}

@media screen and (max-width:600px){
    #gebpix-logo{
        width:175px !important;
    }
    .navigation{
        top:20px;
        width:320px !important;
        left:50%;
        transform: translate(-50%,0%);
    }
    .navigation .menu{
        font-size:18px;
    }
    .navigation.active{
        height:350px;
    }
	.navigation #gebpix-logo{
		margin-top:6px;	
	}
}
